services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false

  App\Pro\Command\:
    resource: '../src/Pro/Command'
    tags: ['console.command']

  App\Pro\Controller\:
    resource: '../src/Pro/Controller/*'
    tags: ['controller.service_arguments']

  App\Pro\Logs\:
    resource: '../src/Pro/Logs'

  App\Pro\Mailer\:
    resource: '../src/Pro/Mailer'

  App\Pro\UserLog\:
    resource: '../src/Pro/UserLog'

  App\Pro\Listener\SecurityListener:
    tags:
      - { name: 'kernel.event_listener', event: 'security.interactive_login', method: 'onSecurityInteractiveLogin' }

  App\Pro\Twig\HelperExtension:
    tags:
      - { name: twig.extension }


  App\Pro\Entity\LimitBoxRepository:
    factory: ['@doctrine.orm.default_entity_manager', getRepository]
    arguments: [App\Pro\Entity\LimitBox]
    public: true

  App\Pro\Entity\LimitDomainRepository:
    factory: ['@doctrine.orm.default_entity_manager', getRepository]
    arguments: [App\Pro\Entity\LimitDomain]
    public: true

  App\Pro\Entity\LimitRelayIPRepository:
    factory: ['@doctrine.orm.default_entity_manager', getRepository]
    arguments: [App\Pro\Entity\LimitRelayIP]
    public: true

  App\Pro\Form\LimitDomainType:
    tags: [form.type]

  App\Pro\Form\LimitBoxType:
    tags: [form.type]
